Bad work units, bad luck or bad Me?

Moderators: Site Moderators, FAHC Science Team

Re: Bad work units, bad luck or bad Me?

Postby bruce » Thu Nov 21, 2019 5:36 am

There used to be a OS-X FAH Uninstaller that was downloable from FAH's website. I'm not sure which OS_X version(s) it was designed for. That will remove the database problem but won't install the required library version(s).
bruce
 
Posts: 19854
Joined: Thu Nov 29, 2007 11:13 pm
Location: So. Cal.

Re: Bad work units, bad luck or bad Me?

Postby Joe_H » Thu Nov 21, 2019 8:23 am

bruce wrote:There used to be a OS-X FAH Uninstaller that was downloable from FAH's website. I'm not sure which OS_X version(s) it was designed for. That will remove the database problem but won't install the required library version(s).

The Uninstaller is now part of the client download and is installed as part of the default OS X install. It should work on all versions of OS X, but it does not touch the data folder. That is possibly something to add to a future version.
Image

iMac 2.8 i7 12 GB smp8, Mac Pro 2.8 quad 12 GB smp6
MacBook Pro 2.9 i7 8 GB smp3
Joe_H
Site Admin
 
Posts: 6541
Joined: Tue Apr 21, 2009 5:41 pm
Location: W. MA

Re: Bad work units, bad luck or bad Me?

Postby jcoffland » Fri Nov 22, 2019 1:28 am

I'm late to the party here but here's what's wrong. I had to drop 10.6 support when I updated the core. The updated OSX and XCode won't let me build for anything before 10.7. Unfortunately, the current F@H client is not reporting the OS version to the AS so I cannot block these assignments. The upcoming client will address this.
Cauldron Development LLC
http://cauldrondevelopment.com/
User avatar
jcoffland
Pande Group Member
 
Posts: 1017
Joined: Fri Oct 10, 2008 7:42 pm
Location: San Jose, CA

Re: Bad work units, bad luck or bad Me?

Postby TomJohnson » Fri Nov 22, 2019 7:57 am

Are there any more CPU or GPU A6 core WUs being made available so that I can still Fold using 10.6.8 on my Mac Pro 5,1 ? If so then what fah-installer version do I need and where can I download this earlier release ?
FYI - My Mac Pro has this GPU setup - GPU 0: Bus:5 Slot:0 Func:0 AMD:4 Juniper [Radeon HD 5700 Series]
iMac 15,1 27" 5K Retina Intel i7 4.0 GHz Dual Quad 24 GB RAM 1 TB Fusion OS 10.10
Mac Pro 5,1 3.06 GHz 12 Core 52 Gig RAM OS 10.9.5 -- Plus 20 more
Image
TomJohnson
 
Posts: 175
Joined: Mon Dec 03, 2007 2:29 am
Location: Oak Harbor, WA

Re: Bad work units, bad luck or bad Me?

Postby JimboPalmer » Fri Nov 22, 2019 9:10 am

The HD 5700 series cards will not fold with any driver, on any OS, in any version of f@h.
Last edited by JimboPalmer on Fri Nov 22, 2019 1:28 pm, edited 2 times in total.
Tsar of all the Rushers
I tried to remain childlike, all I achieved was childish.
A friend to those who want no friends
JimboPalmer
 
Posts: 2018
Joined: Mon Feb 16, 2009 5:12 am
Location: Greenwood MS USA

Re: Bad work units, bad luck or bad Me?

Postby iBozz » Fri Nov 22, 2019 9:48 am

Alas, that means that two of my three iMacs will have to retire and be sent to the scrap yard, all they did was Fold 24/7. :e(
iMac (Retina 5K, 27-inch, 2017), 3.8 GHz Quad-Core Intel Core i5, 64 GB 2400 MHz DDR4, 2TB HD, macOS Catalina v10.15.7
User avatar
iBozz
 
Posts: 89
Joined: Wed Nov 26, 2008 8:01 pm
Location: NW England, UK

Re: Bad work units, bad luck or bad Me?

Postby Joe_H » Fri Nov 22, 2019 10:24 am

TomJohnson wrote:Are there any more CPU or GPU A6 core WUs being made available so that I can still Fold using 10.6.8 on my Mac Pro 5,1 ? If so then what fah-installer version do I need and where can I download this earlier release ?
FYI - My Mac Pro has this GPU setup - GPU 0: Bus:5 Slot:0 Func:0 AMD:4 Juniper [Radeon HD 5700 Series]


The limitation is that there are only CPU projects based on the A7 folding core being distributed. Projects that used the older A4 core have finished. What has happened is that a serious bug was discovered in the A7 core as it ran on Windows. In updating the server requirements that all WU's use a newer version of the A7 core, a new revision was also created for OS X and Linus, and as jcoffland has posted the OS X developer platform he is using no longer allows for compilation to be usable on 10.6.8.

A different version of the fat-installer will not get you to a configuration that will fold, the core is downloaded separately when first needed by the client to process a WU. Updates to the core are specified on the servers, either requiring a minimum revision level for specific projects or globally for all projects as in this case.

Just as a side note, you put down A6 for a core, that did exist at one time but never made it out of beta.

Options at this point to still use older Mac's are the following:

1. Upgrade to 10.7

2. Install Windows or Linux - either in a VM or using BootCamp for Windows or directly installed for Linux.

As for GPU folding, with AMD products the current minimum is an HD 5830. To do that the OS would need to be Windows or Linux and not running in a VM.
Joe_H
Site Admin
 
Posts: 6541
Joined: Tue Apr 21, 2009 5:41 pm
Location: W. MA

Re: Bad work units, bad luck or bad Me?

Postby TomJohnson » Fri Nov 22, 2019 6:45 pm

Joe_H, Thanks for the comprehensive background info. I still need to use my Mac Pro 5,1 with 10.6.8 to support school's software support for Special Ed apps that they still use and older Mac Users who either don't have the money or physical memory to upgrade past Snow Leopard.
I'll be using a second internal SSD HD with OS V10.9.5 to continue Folding and getting back my extra 100,000+ PPD for the cause. :)
TomJohnson
 
Posts: 175
Joined: Mon Dec 03, 2007 2:29 am
Location: Oak Harbor, WA

Previous

Return to Issues with a specific WU

Who is online

Users browsing this forum: No registered users and 1 guest

cron